Skip to main content
PUT
/
{team_id}
/
pages
/
{page_id}
/
content
Overwrite page content
curl --request PUT \
  --url https://api.superthread.com/v1/{team_id}/pages/{page_id}/content \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "is_html": false
}
'
{
  "error": {
    "id": "err5f744ab",
    "code": 403,
    "sec": "SEC:000-010011",
    "message": "You do not have access to this resource",
    "date": 1608742037016
  }
}

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

page_id
string
required

Page ID is a numerical string that identifies a Page.

Body

application/json

new page content

content
string
required

The content to set on the page

Maximum string length: 102400
is_html
boolean
default:false

Whether the content is HTML

Response

page content successfully updated